import { Slot, U64UnsafeBeyond2Pow53Minus1 } from '../rpc-methods/common';
type SlotsUpdatesNotificationsApiNotification = Readonly<{
    parent?: Slot;
    slot: Slot;
    timestamp: U64UnsafeBeyond2Pow53Minus1;
    type: 'completed' | 'createdBank' | 'dead' | 'firstShredReceived' | 'frozen' | 'optimisticConfirmation' | 'root';
}>;
export interface SlotsUpdatesNotificationsApi {
    /**
     * Subscribe to receive a notification from the validator on a variety of updates on every slot
     */
    slotsUpdatesNotifications(NO_CONFIG?: Record<string, never>): SlotsUpdatesNotificationsApiNotification;
}
export {};
//# sourceMappingURL=slots-updates-notifications.d.ts.map